/* $Id$ */
#ifndef SHHMPEG_H
#define SHHMPEG_H

#include <X11/Xlib.h> /* Window, Display */
#include <Xm/Xm.h>    /* Widget */

#include "npapi.h"
#include "mpeg_play.h"

typedef struct _PluginInstance {
    uint16 mode;
    Window window;
    Display *display;
    uint32 x, y;
    uint32 width, height;

    Widget form;		/* Form container widget */
    uint16 opmode;		/* Reflects the MODE attribute in the
				 * embed */
    Widget buttPlay;
    Widget buttPause;
    Widget buttStep;
    Widget buttRewind;
    Widget buttLoop;
    Widget video;
    Widget brag;
    MpegStream mpegStream;
    int doLoop;
    int frameRate;
    int autoStart;
    int doubleSize;
    int useSharedMemory;
    int useOwnColormap;
    DitherType dither;
    int pushed;
} PluginInstance;

#endif
